# CNCF TAG Contributor Strategy

<img src="website/static/images/tag-contributor-strategy-icon-color.png" alt="a line drawing of a busy bee" align=right width="150px">

Contributor Strategy is a [Technical Advisory Group](https://github.com/cncf/toc/blob/main/tags/cncf-tags.md) (TAG) responsible for contributor experience, sustainability, governance, and openness guidance to help CNCF community groups
and projects with their own contributor strategies for a healthy project. 

If you are looking for how-to resources produced by the TAG, please visit
[contribute.cncf.io](https://contribute.cncf.io/) or have a look at the
contributor, goverance, and related [templates](https://github.com/cncf/project-template).

For people new to this space, you can learn more about the purpose, objectives, and responsibilities of [CNCF TAGs](https://github.com/cncf/toc/blob/main/tags/cncf-tags.md).

The [TAG Contributor Strategy charter](/CHARTER.md) outlines the scope of our group activities. To get involved, our [Contributing Guide](/CONTRIBUTING.md) lays out more details.

- [Meetings](#meetings)
- [Communicating with Us](#communicating-with-us)
- [Members](#members)
  - [TAG Chairs](#tag-chairs)
  - [Tech Leads](#tech-leads)
  - [TOC Liaisons](#toc-liaisons)
  - [Original Bootstrap TAG members](#original-bootstrap-tag-members)
  - [Emeritus Leads](#emeritus-leads)
- [Working Groups and Teams](#working-groups-and-teams)
  - [Governance WG](#governance-wg)
  - [Contributor Growth WG](#contributor-growth-wg)
  - [Mentoring WG](#mentoring-wg)
  - [Maintainer's Circle](#maintainers-circle)
  - [Inclusiveness Team](#inclusiveness-team)
  - [Community Infrastructure Team](#community-infrastructure-team)

## Meetings

We have one general meeting a month, along with meetings for our working groups.
Go to [the CNCF calendar](https://tockify.com/cncf.public.events/monthly?search=Contributor+Strategy) to see when we meet next.

- [Meeting minutes and agenda](https://bit.ly/cncf-contribstrat-agenda)
- All meetings are recorded and can be accessed on the [CNCF TAG Contributor Strategy](https://www.youtube.com/channel/UCCqKWkTM2pkmLwXaj-7AvcA) Youtube channel.
- Meeting Link: [zoom.us/my/cncftagcontributorstrategy](https://zoom.us/my/cncftagcontributorstrategy)
  - Meeting ID: **574 406 1161**
 
## Communicating with Us

Anyone is welcome to join our open discussions of TAG Contributor Strategy
projects and share news related to the group's mission and charter. Much of the
work of the group happens outside of TAG Contributor Strategy meetings and we
encourage project teams to share progress updates or post questions in these
channels:

- [Mailing list](https://lists.cncf.io/g/cncf-tag-contributor-strategy)
  - The mailing list is used for decisions, announcements, and broad communications
  on record for the entire TAG.

- [#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN) on [CNCF Slack](https://slack.cncf.io/)
  - Real time communication is great! Chat with us here but we might ask you to
  open an issue or remind us on the mailing list so we can have a record.

- [File an Issue](https://github.com/cncf/tag-contributor-strategy)
  - Working on a project? Have an idea for something we/you should work on? Talk
  about a change you'd like to propose?

- [Attend our meetings](https://tockify.com/cncf.public.events/monthly?search=Contributor+Strategy)
  - We meet once a month, and we'd love to have you join us!

## Members

### TAG Chairs

- Dawn Foster ([@geekygirldawn](https://github.com/geekygirldawn)), VMware
- Josh Berkus ([@jberkus](https://github.com/jberkus)), Red Hat
- Catherine Paganini ([@CathPag](https://github.com/CathPag)), Buoyant

### Tech Leads

- Ali Ok ([@aliok](https://github.com/aliok)), Red Hat
- Riaan Kleinhans ([@Riaankl](https://github.com/Riaankl)), II

### TOC Liaisons

- Emily Fox ([@TheFoxAtWork](https://github.com/TheFoxAtWork)), Apple
- Dave Zolotusky ([@dzolotusky](https://github.com/dzolotusky)), Spotify


## Working Groups And Teams

TAG Contributor Strategy has working groups and teams to effectively collaborate and coordinate efforts towards achieving common goals and objectives, as well as to distribute tasks and responsibilities among its members for efficient execution. This approach allows for a more streamlined and organized approach to managing complex projects within the CNCF ecosystem.

### Governance WG

[Charter](/governance/README.md)

### Contributor Growth WG

[Charter](/contributor-growth/README.md)

### Mentoring WG

[Charter](/mentoring/README.md)

### Maintainer's Circle

[Charter](/maintainers-circle/README.md)


### Inclusiveness Team

Status: [Proposed](https://github.com/cncf/tag-contributor-strategy/issues/365)

## Valued TAG Members

A big thank you to all the [previous contributors](/valued-members.md) of this TAG! Your hard work and dedication have helped to make this project a success. Your valuable contributions have enabled us to develop a strong contributor strategy and build a thriving open-source community. Thank you for all that you have done!
