# Annual Review TAG CS Email Template

This is a template for an email that we can send out to CNCF projects after they submit their annual review. The goal is to let them know that we are here to help with action items from their review.

The reply-to field for the email should be cncf-tag-contributor-strategy@lists.cncf.io
___

Hello maintainers!

TAG Contributor Strategy is reaching out to you after your project's annual review to introduce ourselves and offer our assistance with action items from your annual review.

## Who is TAG Contributor Strategy?
[TAG Contributor Strategy](https://contribute.cncf.io/about/) is a Technical Advisory Group for the CNCF Technical Oversight Committee (TOC). We develop strategies to build, scale, and retain contributor communities and assist the TOC with: project governance, contributor growth, mentorship programs, and supporting maintainers. 

## What can we help with?
We can answer questions and offer guidance on action items from your annual review. Here are examples of common review feedback that we can help with:

* Increase maintainers from different companies
* Establish or refine project governance structure
* Build a sustainable contributor pipeline
* Connect with other maintainers for support

## Next Steps

We are here to help, so let's connect!

1. Search for "Contributor Strategy" in the [CNCF Public Events Calendar](https://www.cncf.io/calendar/) to find our next meeting and drop in!
2. Join our [mailing list](https://lists.cncf.io/g/cncf-tag-contributor-strategy) to be notified of new templates, advisory guides, updates to project requirements and more.


## Resources

* Ask questions on the [#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN) Slack channel.
* [Maintainers Circle](https://contribute.cncf.io/about/maintainers-circle/) holds private events where maintainers can discuss the stresses of running a project and provide mutual support.
* Go to [contribute.cncf.io](https://contribute.cncf.io/maintainers/) for advice on project governance and community management.
* Copy our [templates](https://contribute.cncf.io/maintainers/github/templates/) for required documents, such as a CONTRIBUTOR_LADDER.md or GOVERNANCE.md, or get ideas for how to improve your existing documents.
