# Governance

The Governance working group of Contributor Strategy aims to assist all CNCF projects with implementing good open source governance practices.  If you are looking for the governance documents of TAG-Contributor-Strategy itself, please read CONTRIBUTING.md.

If you are interested in helping with this project, please speak up on #tag-contributor-strategy in CNCF Slack, or on the mailing list.

## Goals of the Working Group

1. Create, share, and maintain documentation on implementing good open source governance for CNCF projects.
2. Coach and advise CNCF projects, and prospective projects, leaders in implementing and improving governance.
3. Advise the CNCF TOC on updating governance criteria for acceptance and graduation.

## Scope

The Governance working group is focused on, and restricted to, matters related to CNCF project governance, defined as project participation roles, rules, and procedures.  For more information on what governance is, please see the [Governance Documentation](https://contribute.cncf.io/maintainers/governance/). As examples, this would include issues like:

* Selection/election process for new Owners
* How to make sure your meetings are really open
* Practical CoC enforcement
* Moving your project from single to multi-company
* Exact diversity requirements for a graduated project
* Online seminars on how to craft your project's governance
* Reviewing, on request by the TOC, the governance for a project currently applying for membership/graduation

The following are examples of things outside of the scope of this working group:

* Recruiting new contributors (this will be handled by Contributor Growth working group)
* CNCF TAG governance (handled by the TOC)
* Drafting legal documents for your project, or choosing a license (we're not attorneys)

## Working Group Members

The following contributors are currently "members" of this working group:

* Josh Berkus
* April Kyle Nassi
* Dawn Foster
* Jennifer Davis
* Davanum Srinivas

## Meetings

We meet once a month.
Go to [the CNCF calendar](https://tockify.com/cncf.public.events/monthly?search=Governance+WG) to see when we meet next.

Discussion happens on the [contributor strategy mailing list](https://lists.cncf.io/g/cncf-tag-contributor-strategy) or on #tag-contributor-strategy on [CNCF slack](https://slack.cncf.io/).

Facilitators:

- Josh Berkus ([@jberkus](https://github.com/jberkus)), Red Hat
- Dawn Foster ([@geekygirldawn](https://github.com/geekygirldawn)), VMware

## Directory

Currently we have the following content in this working group:

* **docs**: documents offering advice, processes, implementation details, and other information for project governance. Documents here are for the benefit of project leaders trying to improve their governance.
* **draft-requirements**: directory of suggested changes to the CNCF requirements for project governance, with supporting materials.  Documents in this folder will be shared with the TOC when they revise the acceptance and diligence process.
