# Maintainer's Circle

Initially [proposed here](https://github.com/cncf/sig-contributor-strategy/issues/1).

Once a month, we welcome you to a maintainers circle: a peer group that will 
meet with scheduled topics, ample discussion, and networking time for fellow 
reviewers, approvers, maintainers, and other core leaders of CNCF projects. This
is a time for you to stay connected, learn from and with each other, and 
discuss topics that are close to you. We'll have a 100 person capacity for each 
event and depending on demand, may re-run the session. The capacity is set to
make sure everyone that wants an interactive experience vs a lecture can have 
one. 

The only contract of the members of each circle is to abide by the CNCF Code of 
Conduct, be kind, open as you'd like, and committed to hearing others out. 
Everyone will have a chance to participate in whatever activity is set forth in 
that meeting.

Facilitators:

- Dave Sudia ([@thedevelopnik](https://github.com/thedevelopnik)), Ambassador Labs
- Paris Pittman ([@parispittman](https://github.com/parispittman)), Apple

## Goals:
Bring CNCF project maintainer* together to:
- Collaborate on strategic issues; tackling size:L OSS challenges together
- Listen (to build better programs, relationships, and sustainability efforts)
- Share best practices
- Participate in peer coaching and seek guidance  
- Highlight successes

*What/Who is a maintainer? There are a lot of meanings within the community.  
A maintainer is anyone recognized as a maintainer or in a core role of a CNCF 
project by
that project's standards and governance. You can maintain code, docs, policy and
 more, but you are making decisions.
Relevant CNCF project examples:  
- [containerd](https://github.com/containerd/project/blob/master/GOVERNANCE.md#maintainership) 
lists maintainers and code reviewers as key role
- [Prometheus](https://github.com/prometheus/prometheus/blob/master/MAINTAINERS.md)
lists maintainers in a MAINTAINERS.md file
- [Kubernetes](https://github.com/kubernetes/community/blob/master/community-membership.md)
doesn't use the word maintainer but uses an OWNERs file method for ownership by
listing reviewers and approvers

We recognize the term does not apply across the board perfectly. Maintainers
is an umbrella succinct term that covers many of your roles and inclusivity.

Important note: CNCF has a pool of listed maintainers for each project that vote
 on behalf of their project in TOC elections. Some projects have more maintainer 
 roles than this and the Circle welcomes all decision makers. 

## Where
Zoom with breakout rooms
In-person at KubeCon

## When  
Meetings are scheduled ad-hoc when we have a topic and speaker.
Join our <a href="https://lists.cncf.io/g/cncf-tag-contributor-strategy">mailing list</a> or our #maintainers-circle channel in the CNCF Slack to be notified of the next event.

## What

### Community Management

June 28th, 2023 @ 10:00am PT / 17:00 UTC / [Your timezone here](https://time.is/compare/1000AM_28_June_2023_in_PT)

[Add it to your Calendar](https://calendar.google.com/calendar/u/0/r?cid=linuxfoundation.org_o5avjlvt2cae9bq7a95emc4740@group.calendar.google.com)

Managing a project is hard work. Maintainers are expected to wear many hats. Defining those hats early on can help a
project grow and ultimately be sustainable enough to not rely on a few maintainers to do it all. Let’s deep dive in
one role around - community and contributor management.

In this session, we will discuss strategies on how to build out strategy around intentional community roles, groups,
and more so you aren’t doing everything. What’s everything?
* Creating, maintaining, and moderating mailing lists, slacks, forums, and more
* Recruiting and onboarding new contributors: outreach, their documentation, workflows, and processes
* Maintaining current contributors: swag, recognition programs, events, and more
* Social media
* User adoption strategies and operations
* Governance operations
* Website updates
* Documentation

The lack of a strategy in this area can lead to burnout, no new contributors, slow decline of adopters and users, and limited time working on the codebase.

Sample discussion topics for breakout sessions:
* What’s difficult about community and/or contributor management?
* What are areas you wished you had help with? What are areas you wished you would have known about before you launched the project?
* How could one of the referenced strategies help your group? What do you need to get up and running?

Bio: Paris Pittman has spent the last 20 years helping communities grow and flourish — from building hometown Baltimore tech communities to driving belonging
and sustainability in massive open source ecosystems like Kubernetes. Paris has contributed to Kubernetes for 7 years and served in leadership roles in the
project as well as the CNCF ecosystem at large. These roles included: Kubernetes Rep on CNCF Governing Board, two term Kubernetes Steering Committee Member,
emeritus Kubernetes sig-contributor-experience Chair, bootstrap member of the first Kubernetes Code of Conduct Committee, and bootstrap emeritus
CNCF TAG Contributor Strategy and creator of the Maintainer Circle. Paris remains committed to advocating for all contributors and maintainers. She works
at Apple in the Open Source Programs Office. 

**Registration** is an emoji reaction to the invite on the thread in #maintainers-circle or email to [Dave Sudia](mailto:dsudia@datawire.io)

**Notes:** https://docs.google.com/document/d/1OlRxoSWXDA4emDK_U1ff6djMgXeR8yJahrWC7RRzD7o/edit?usp=sharing

### CNCF Mentoring

May 30th, 2023 @ 9:00am PT / 4:00pm GMT / [Your timezone here](https://time.is/compare/0900AM_30_May_2023_in_PT)

Join us in the upcoming Maintainer’s Circle as we delve into the Cloud Native Computing Foundation’s vibrant
mentorship programs and the people who bring them to life.

In this session, join Nate W., co-chair of the CNCF
mentoring working group, as he shares the power and impact of these programs in shaping open-source projects.
Then hear Lee, a seasoned CNCF mentor, share his insights, experiences, and highlights from his mentorship
journey within the CNCF. This session promises to help you understand how mentoring can help your project grow contributors.

Time will be set aside for discussion and experience sharing. Don’t miss this opportunity to learn,
connect, and grow with your peers. We look forward to seeing you there!

**Registration** is an emoji reaction to the invite on the thread in #maintainers-circle or email to [Dave Sudia](mailto:dsudia@datawire.io)

**Notes:** https://docs.google.com/document/d/1OlRxoSWXDA4emDK_U1ff6djMgXeR8yJahrWC7RRzD7o/edit?usp=sharing

### End User Relationship

**Live session at KubeCon EU 2023 Amsterdam**

* Wednesday April 19th, 2023
* 11:00am CEST
* Room D203

How can OSS maintainers and end users achieve a healthy, symbiotic relationship? with OpenTelemetry Maintainers

Bio: The maintainers of OpenTelemetry’s End User Working Group (soon to be SIG) are Reese Lee (New Relic), Rynn Mancuso (Honeycomb), and
Adriana Villela (Lightstep).  Austin Parker (Lightstep) is the OpenTelemetry community manager.  Together these four have spent a year
building a vibrant end user community that currently has five events a month and regularly gives feedback to the contributor community.

**Registration** is an emoji reaction to the invite on the thread in #maintainers-circle or email to [Dave Sudia](mailto:dsudia@datawire.io)

**First half**
Maintainers of open source software projects often face a wide range of challenges, some of which can be solved–-and are also created–-by its end users. For instance,
maintainers need to balance user needs with technical debt, overcome communication barriers, and deal with limited resources while working on a project that they may
or may not be compensated for. Ultimately, the biggest challenge is increasing and maintaining adoption and usage -- after all, what is the point of software that isn’t
being used?

While some end users are excited about new technologies, others have a long journey to implementation, and being in community with maintainers can help them develop the
confidence and curiosity about the tool that many maintainers have. Being in community with end users helps maintainers design better for the experience of folks who are
learning the software, as well as gain an understanding from more advanced users of how tools perform in the context of complex systems.

In this Maintainer’s Circle, let’s talk about the challenges you are facing in working with end users as an OSS project maintainer, how you’ve dealt with them, and how we
can build a sustainable framework for cultivating end user engagement that can be used across projects.  We’ll do a brief presentation on the challenges OpenTelemetry was
experiencing, how we addressed them, and how we built community for end users.

**Breakout**

* Where do your current contributors come from?
* What incentives keep them contributing?
* Who might be interested in your product who doesn’t have any reason to contribute?
* What would it take to get them involved?

### March 11th @ 10:30am PT / 6:30pm GMT / [Your timezone here](https://time.is/compare/1030AM_11_Mar_2021_in_PT)

Values and Principles Development with Sarah Novotny

BIO: Sarah Novotny has long been an Open Source champion in projects such as Kubernetes, NGINX and MySQL.  She is part of the Microsoft Azure Office of the CTO, sits on the Linux Foundation  Board of Directors, previously led an Open Source Strategy group at Google and ran large scale technology infrastructures before web-scale had a name.

**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle   

**Notes:** https://hackmd.io/e12IWyStSayMnXn8iYx-uw

**First half**   
Sarah and the K8s bootstrap governance team developed values (which might actually be principles) from the behavior of the kubernetes community.  Discussions and decisions are guided by these values.  This Maintainer Circle will not focus on whether they are values or principles, but instead focus on developing a common framework for your community to use for peer accountability and to guide decisions.

**Breakout**   
Think of a decision in your community that took a lot of effort to wrap up. Looking at the whole story arc – What do you wish you’d known at the beginning? Did the path to this decision reveal anything about the community? Is there a principle or value which fits the community which if explicit could have made the decision easier.

### February 11th @ 10:30am PT / 6:30pm GMT ([Your timezone here]
(https://time.is/compare/1030AM_17_Dec_2020_in_PT))
  
Accidental Evangelist with Jérôme Petazzoni 

In 2013, Jérôme was an SRE manager when he accidentally became Docker's first 
evangelist. He had a vague idea of what an evangelist does: author blog posts, 
deliver conference talks, write abstracts about himself in the 3rd person. 
(Sounds like stuff you have to do, too?) 
But he didn't know how much he was supposed to do. How many meetups and 
conferences should one attend per day, week, month, year? Tracking progress and 
setting goals can be tricky when one switches to an entirely different career. 
Join us for a converation with Jerome and two break out sessions on how to 
manage this, track it, and not burn yourself out.  
  
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle   
Notes: https://hackmd.io/BC9mHtRZQMyZEbPjdH_Sow

**First half** (first 30)  
Background and lead into first break out "how do you measure yourself?"  

**Second half** (second 30)  
What targets to set? What are the things that you might be a bottleneck on?  
Delegate. 

### January 28th @ 10:30am PT / 06:30pm GMT ([Your timezone here]
(https://time.is/compare/1030AM_17_Dec_2020_in_PT))
   
Inclusive Language: For You as a Maintainer and Your Project  
  
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle  
  
Notes from session: https://hackmd.io/vzRv5CyITSKfy2n9LTwM5w  

**First half** (first 30)
In 2020, Stephen Augustus and Celeste Horgan helped found the Inclusive Language
 Initiative. This expands the work they've been doing in the Kubernetes 
 community around removing harmful language in software and open source. They 
 follow up with us on the broader initiative and what they've been working on.

**Second half** (second 30)
Stephen and Celeste will guide you through the thought process of removing one 
piece of harmful language in your projects. You'll work with a small breakout 
group to brainstorm the possible touchpoints and understand the scope of the 
changes for yourself.  

### First one:  
December 17, 2020  
Thursday, 10:30am PT / 06:30pm GMT[Your timezone here](https://time.is/compare/1030AM_17_Dec_2020_in_PT)   
**Registration** is an emoji reaction to the invite on the future thread in 
#maintainer-circle 

**First half + breakouts:**
In 2017, Dorothy Howard spoke at SciPy on the research and effects of burnout on
 FOSS maintainers. She follows up with us on what’s happened since conducting 
 new and ongoing qualitative research and interviews with maintainers on 
 burnout, mental health, and software sustainability sponsored by the Ford/Sloan
  Foundations and the NSF. After a 20minute talk, Dorothy will seed the audience
   questions about burnout as you break out into small breakout rooms with your
    fellow maintainers in a 15minute session. 

**Second half + breakouts:**
We'll have a fireside chat with Aaron Crickenberger, Emeritus Kubernetes
Steering Committee Member, co-chair of SIG-Testing, and subproject owner in
multiple SIGs, about his experiences with burnout. It's been a 5 year journey 
with Kubernetes; we'll hear some of the realistic and honest ways Aaron tackles
time management and self care while steering huge ships. In this 15 minute
session, you can ask questions live to Aaron as a group, and then breakout 
into final small groups of the session.   

## General Circle Structure  

:35 - meeting kicks off with a welcome, announcements, and how breakouts work  
:40-:00 - first speaker (academic, expert, other OSS maintainer)  
:00-:20 - first breakout session (max: 10 rooms, 20 people in each)
           - round of short intros [name/project name] before discussion  
:25-:45 - second speaker (most likely a CNCF maintainer)  
:45-:05 - second breakout session   
:10-:15 - wrap up    

To suggest future topics, file an issue in our repo. If you have something to 
share with the group, reach out to us on slack directly 
[#sig-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN).

In the works for 2021:
- Accidental Evangelism: Jérôme Petazzoni + one more speaker
- Communicating Effectively: locking in speaker + one more speaker
- Dealing with conflict: locking in speaker + one more speaker
- Maintaining/Project leading during grief and loss: looking for speakers
- Maintaining with Inclusive Language: Stephen Augustus + one more speaker
- Values and Principles Development: Sarah Novotny + one more speaker


### Join the channel on Slack

[#maintainers-circle](https://cloud-native.slack.com/archives/C014YQ8CDCG)  
