# Hosting Maintainers Circle

Hosts are responsible for planning and hosting the circle topic they are
running. Below is guidance to help in this process. 

## Planning

### Curating content (for two sessions)
1. Check on the [README] and [issue backlog] to see what topics are in the queue
 first. If no topics are left, initiate ideas with the sig in slack. Next step, 
 ask directly in the #maintainers-circle channel as to what folks would like to 
 discuss/learn.
 2. Add a short bio for the speakers here -> https://github.com/cncf/tag-contributor-strategy/tree/main/maintainers-circle 

Content should not be a sales pitch of any kind. It should match with the goals
and intent of the group and have at least one 15 minute break out session to so
that this isn't another talk. Networking and learning together is an important 
piece to this. 
The [structure] should follow the model on the README but can be tailored based
on increasing breakout time/interactive reasons or really good content! 
Try for one speaker who has a science/data/research/teacher background and another who has experience
is a CNCF maintainer that has experience with the subject. 

### Logistics and Other Planning 
1. Schedule a 15 minute touch base with the speakers over slack or zoom to nail
down the final structure and get a final run of show together.  Make sure to ask them how to pronounce their names, pronouns, and how to they prefer to do Q&A/breakout rooms.
2. send the speakers placeholder calendar invites directly vs having them copy
from CNCF calendar. Invite them to CNCF slack if they are not there already.
3. Provide the speakers with a run of show a few days prior to the event/ask if 
they want to meet. 

### Calendar and Promotion  

Promotion should start as soon as the speaker and abstract is confirmed with a save the date
1. Find a time with the speaker(s) that
  1. Fits your and their schedule
  1. Is ideally early in the morning or late in the evening Pacific Time, so that it is convenient for Europe or Asia/Pacific maintainers.
  1. Doesn't conflict w/ many other things on the [CNCF Calendar](https://www.cncf.io/calendar/).
1. Email projects@ cncf.io to request that the event be added to the calendar, with a Zoom meeting assigned to it.
2. Ask the Projects team to email the maintainers@ cncf list with info about the event. Previous
emails can be used as a template. Make sure to over emphasize that other core
decision makers (committee members, etc), reviewers and other maintainer-like
roles are invited and not just authors and/or solely MAINTAINERS.md. 
3. Promote in every -dev and contributor slack channel for each project that you 
can find, #maintainers-circle, #toc, #sig-contributor-strategy
4. Tweet about it if thats your thing but with attn to CNCF project maintainers
5. Ask others to spread the word

## Set Up: Day of Event
1. set up a questions thread in #maintainers-circle slack if you think one might
be needed
2. 3+ hours before the event - ping in all -dev, -contributor slack channel for
projects, #maintainers-circle, #toc, #sig-contributor-strategy 
3. create a hackmd notes file so attendees can have a way to capture links. this inclusive naming group can be used as a template but modify as you see necessary: https://hackmd.io/vzRv5CyITSKfy2n9LTwM5w 

## During Event 
0. Make sure to claim host (the TAG chairs have this info; get beforehand), breakout room capabilities are working, and 
recording is turned off 
1. Welcome everyone as folks join the line, mention that this won't be recorded,
and that we will start at :03 after. 
2. Kick off at :03-5 depending on the flow of traffic
  
**Welcome message content:**  
The welcome message/kick off should include the following:
- Hello! thank you for coming, 
- not recording but taking notes that will be published later, 
- breakout sessions are sections of the agenda where folks can share/learn/whatever activity they are doing that day, 
- give an overview of the agenda and where folks can ask questions, 
- add a disclaimer that we are not licensed professional doctors, lawyers, etc (unless the speaker is!); this session is based on shared experiences, 
- Lastly, if anyone has questions and then start the show.  

3. Manage time for the speaker and then start to  get everyone in breakrooms at 
the right time
4. If you go into a breakroom for hosting/moderating, you can see if others come
in the main room for breakroom assigments by looking at the breakout zoom popup.
You don't need to stay in that room the entire time. 
5. Continue the above cycle for another round or whatever is shown on the agenda.
6. Get everyone back into the main room after the time is up from the second
breakout room and proceed with wrap up:  
- Speaker may want to do a follow up from the last sesssion, ask for a final
call for any maintainer announcements, thank the speaker and the participants!!,
announce next date of the maintainers circle and other info you have about it


 ## After Event
1. Scrub and format notes to take out names, identifiers, add full/correct links to resources, etc. 
2. Post the notes #maintainers-circle
3. Make sure next host is lined up and report to the TAG in slack or at a meeting so Chairs can report on it

[README]: /README.md
[issue backlog]: https://github.com/cncf/sig-contributor-strategy/issues
[structure]: https://github.com/cncf/sig-contributor-strategy/blob/master/maintainers-circle/README.md#general-circle-structure
