# Useful resources, research, and quick links

## Purpose  
Serve as a quick resource for the TAG to grab links that we work with at high frequency and reference from other research. This is not official guidance.

### CNCF Quick Links

- [TOC repo](https://github.com/cncf/toc)
  - [Principles](https://github.com/cncf/toc/blob/master/PRINCIPLES.md)
  - [What type of goverance is my project expected to follow?](https://github.com/cncf/toc/blob/master/FAQ.md#what-type-of-governance-is-my-cncf-project-expected-to-follow)
- [Due Diligence Guidelines](https://github.com/cncf/toc/blob/master/process/due-diligence-guidelines.md#project)
- [Due Diligence Template](https://github.com/cncf/toc/blob/master/process/dd-review-template.md#project)
- [Graduation Requirements](https://github.com/cncf/toc/blob/master/process/graduation_criteria.md#graduation-stage)
- [Sandbox->Incubation Requirements](https://github.com/cncf/toc/blob/master/process/graduation_criteria.md#incubating-stage)
- [Sandbox Annual Review has related questions](https://github.com/cncf/toc/blob/master/process/sandbox-annual-review.md#annual-review-contents)
- [CNCF Glossary](https://glossary.cncf.io/)

### Governance
- [Governance Checklist for OSS projects](https://sustainers.github.io/governance-readiness/)  
- [FOSS Project Governance documents collection](https://fossgovernance.org/)
- [Velero Governance](https://github.com/vmware-tanzu/velero/blob/master/GOVERNANCE.md#velero-governance)
- [Jupyterhub Project Governance](https://jupyterhub-team-compass.readthedocs.io/en/latest/governance.html#jupyterhub-project-governance)  
- [Selenium Project Governance](https://www.selenium.dev/governance/)s
- [Debian Constitution](https://www.debian.org/devel/constitution)
- [Python PEP 8002](https://www.python.org/dev/peps/pep-8002/)
- [The Open Source Way](https://github.com/theopensourceway/guidebook)

### New Contributor Recruiting, Growth of Current Contributors, Succession

- [Attracting, Growing, Communicating, and Governance](https://softdev4research.github.io/4OSS-lesson/04-contributions/)
- [Moya Community Continuity Guidelines](https://github.com/Moya/contributors/blob/master/Contributing.md)
- [Kubernetes Org Membership and OWNERS structure](https://github.com/kubernetes/community/blob/master/community-membership.md)
- [Service Catalog Contributor Ladder](https://svc-cat.io/docs/contribute/ladder/)
- [Porter Contributor Ladder](https://github.com/deislabs/porter/blob/main/CONTRIBUTION_LADDER.md)
- [Guix's Definition of Commit Access](https://guix.gnu.org/manual/en/html_node/Commit-Access.html)
- [Debian New Maintainer](https://www.debian.org/devel/join/newmaint)
- [Becoming a Project Team Lead](https://docs.openstack.org/project-team-guide/ptl.html)
- [OpenStack Release Roles](https://docs.openstack.org/project-team-guide/release-management.html#release-liaisons)
- [Ubuntu Membership](https://wiki.ubuntu.com/Membership)
- [Ubuntu Roles](https://wiki.ubuntu.com/MOTU#So_you_want_to_be_a_MOTU.3F)
- [Creative Commons Project Roles](https://opensource.creativecommons.org/community/community-team/project-roles/)
- [Knative Roles](https://github.com/knative/community/blob/master/ROLES.md)
- [Django Organization](https://docs.djangoproject.com/en/dev/internals/organization/)
- [OPENMRS Developer Stages](https://wiki.openmrs.org/display/RES/OpenMRS+Developer+Stages)
- [Astropy Roles](https://www.astropy.org/team.html)

## Tools

## Contributing Guides
- [Nayafia's template from researching a ton of open source projects](https://github.com/nayafia/contributing-template/blob/master/CONTRIBUTING-template.md)
- [GoodDocs: aiming to help projects with good templates](https://thegooddocsproject.dev/contribute.html)
- [Athens Contributing Guide](https://github.com/gomods/athens/blob/master/CONTRIBUTING.md)
- [Porter Contributing Guide](https://github.com/getporter/porter/blob/main/CONTRIBUTING.md)
- [Open Policy Agent Contributing Guide](https://github.com/open-policy-agent/opa/blob/master/CONTRIBUTING.md#code-review)

## Maintainer/Core Contributor Advice
- [Maintainers: Avoiding Burnout from homebrew community](https://github.com/Homebrew/brew/blob/master/docs/Maintainers-Avoiding-Burnout.md)

### All of the above/Misc  
- [Nadia Edhbal's OSS resources](https://nadiaeghbal.com/oss/)  
//can probably be broken down into sections
- [Checklist/workshop of related resources](https://softdev4research.github.io/4OSS-lesson/04-contributions/)
