---
title: Contributor Growth Working Group
linkTitle: Contributor Growth
url: /about/contributor-growth/
---

{{% blocks/lead color="primary" align="left" %}}

Want to grow your contributor base sustainably? We can assist you with best practices, resources, and guidance on how!

Read our [Charter](https://github.com/cncf/tag-contributor-strategy/blob/main/contributor-growth/README.md)

{{% /blocks/lead %}}

<div class="section-group">

{{% blocks/section color="dark" %}}

The Contributor Growth Working Group is a team within CNCF that focuses on helping CNCF projects grow their contributor base sustainably.

We aim to provide best practices and resources for managing and interacting with contributors to CNCF projects.
{{% /blocks/section %}}

</div>

<div class="section-group">

{{% blocks/section color="secondary" %}}

## Goals

<div class="text-left">

* Provide best practices and resources for managing and interacting with contributors to CNCF projects.
* Provide guidance on a sustainable contributor lifecycle for CNCF Projects to:
    * Develop a pipeline that brings in new contributors.
    * Define a contribution ladder with activities that promote contributors to higher levels of responsibility.
    * Support their maintainers with advice and resources that improve sustainability and plan for transitions from the project.

</div>

{{% /blocks/section %}}

</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How your community can benefit

<div class="text-left">

Here are some benefits that the Contributor Growth working group can provide to communities:
* Best practices and resources for managing and interacting with contributors to CNCF projects
* Guidance and support for a sustainable contributor lifecycle for CNCF projects
* Templates for common documents like a contributing guide, reviewing guide, TOC due diligence guidelines, and more
* Case studies and talks for insights and inspiration
* Non-code areas such as project management, work prioritization and similar, which may not be the maintainers' primary skillset

You may find some tips in our [Community Guide](/maintainers/community/) and [Available Templates](/maintainers/templates/).
</div>

{{% /blocks/section %}}
</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How you can contribute

<div class="text-left">

We are happy to see that you are interested in helping with this working group. We would love to:
* get your feedback about out guides and templates.
* see your introduction email on our mailing list / message on our Slack channel.
* see you attend our meetings where you can contribute ideas and take responsibilities.

</div>

{{% /blocks/section %}}
</div>

<div class="section-group">

## Get involved

{{< blocks/section color="primary" >}}

{{% blocks/feature title="Meetings" icon="fas fa-video" %}}

<div>

View our [calendar](https://tockify.com/cncf.public.events/monthly?search=Contributor%20Growth%20WG) to see when we meet next.

<a href="https://docs.google.com/document/d/1Kx7tZv5wTXQ7uRKxn5d9d2wLsI3Q3Q51A0i06nLvtdI/edit">Meeting minutes and agenda</a>
<a href="https://zoom.us/my/cncftagcontributorstrategy?pwd=TnI0WU9Eb2I1RlRWdkl1R0k1WkZXUT09">Meeting Link</a>

</div>
{{% /blocks/feature %}}

{{% blocks/feature icon="fas fa-envelope" title="Mailing List"
url="https://lists.cncf.io/g/cncf-tag-contributor-strategy" url_text="Sign Up"
%}}
Keep up-to-date on mentoring programs we manage.

{{% /blocks/feature %}}
{{< /blocks/section >}}

{{< blocks/section color="gray-300" >}}

{{% blocks/feature title="Slack" icon="fab fa-slack" %}}
Reach out for any immediate matters at [#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN) on [CNCF Slack](https://slack.cncf.io)

{{% /blocks/feature %}}

{{% blocks/feature icon="fas fa-info" title="Find out more" %}}
More resources are available on our [Charter Document](https://github.com/cncf/tag-contributor-strategy/blob/main/contributor-growth/README.md), [Community Guide](/maintainers/community/) and [Available Templates](/maintainers/templates/).
{{% /blocks/feature %}}

{{< /blocks/section >}}

</div>
