---
title: Governance Working Group
linkTitle: Governance
url: /about/governance/
---

{{% blocks/lead color="primary" align="left" %}}

Want to implement good open source governance? We can assist you with best practices, resources, and guidance on how!

Read our [Charter](https://github.com/cncf/tag-contributor-strategy/blob/main/governance/README.md)

{{% /blocks/lead %}}

<div class="section-group">

{{% blocks/section color="dark" %}}

The Governance Working Group assists CNCF projects with implementing good open source governance practices.

We provide best practices and resources for managing and interacting with contributors to CNCF projects.
{{% /blocks/section %}}

</div>

<div class="section-group">

{{% blocks/section color="secondary" %}}

## Goals

<div class="text-left">

* Create, share, and maintain documentation on implementing good open source governance for CNCF projects.
* Coach and advise CNCF projects, and prospective projects, leaders in implementing and improving governance.
* Advise the CNCF TOC on updating governance criteria for acceptance and graduation.

</div>

{{% /blocks/section %}}

</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How your community can benefit

<div class="text-left">

* Have a look at our [Governance Guide](/maintainers/governance/) to see best practices, get advice and have inspiration while setting up or improving your project and community governance
* Copy and modify one of our codified [Governance Templates](/maintainers/templates/governance-intro/) depending on your community and project
* Get assistance on governance related issues

</div>

{{% /blocks/section %}}
</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How you can contribute

<div class="text-left">

We are happy to see that you are interested in helping with this working group. We would love to:

* get feedback about out guides and templates.
* see your introduction email on our mailing list / message on our Slack channel.
* see you attend our meetings where you can contribute ideas and take responsibilities.

</div>

{{% /blocks/section %}}
</div>

<div class="section-group">

## Get involved

{{< blocks/section color="primary" >}}

{{% blocks/feature title="Meetings" icon="fas fa-video" %}}

<div>

View our [calendar](https://tockify.com/cncf.public.events/monthly?search=Governance+WG) to see when we meet next.

<a href="https://docs.google.com/document/d/1P9tQgCM6OwDHd1F8UnWuauL4KDVTMTp49_n64_w8nrs/edit#">Meeting minutes and agenda</a>
<a href="https://zoom.us/my/cncftagcontributorstrategy?pwd=TnI0WU9Eb2I1RlRWdkl1R0k1WkZXUT09">Meeting Link</a>

</div>
{{% /blocks/feature %}}

{{% blocks/feature icon="fas fa-envelope" title="Mailing List"
url="https://lists.cncf.io/g/cncf-tag-contributor-strategy" url_text="Sign Up"
%}}
Keep up-to-date on governance guides and templates.

{{% /blocks/feature %}}
{{< /blocks/section >}}

{{< blocks/section color="gray-300" >}}

{{% blocks/feature title="Slack" icon="fab fa-slack" %}}
Reach out for any immediate matters at [#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN) on [CNCF Slack](https://slack.cncf.io)

{{% /blocks/feature %}}

{{% blocks/feature icon="fas fa-info" title="Find out more" %}}
More resources are available on our [Charter Document](https://github.com/cncf/tag-contributor-strategy/blob/main/governance/README.md), [Governance Guide](/maintainers/governance/) and [Governance Templates](/maintainers/templates/governance-intro/).
{{% /blocks/feature %}}

{{< /blocks/section >}}

</div>
