---
title: "Maintainers Circle Working Group"
linkTitle: "Maintainers Circle"
url: /about/maintainers-circle
---

{{% blocks/lead color="primary" align="left" %}}

Connect with other maintainers, share best practices, commiserate and grow.

{{% /blocks/lead %}}

<div class="section-group">

{{% blocks/section color="dark" %}}

Once a month, we welcome you to a maintainers circle: a peer group that will
meet with scheduled topics, ample discussion, and networking time for fellow
reviewers, approvers, maintainers, and other core leaders of CNCF projects. This
is a time for you to stay connected, learn from and with each other, and discuss
topics that are close to you. We'll have a 100 person capacity for each event
and depending on demand, may re-run the session. The capacity is set to make
sure everyone that wants an interactive experience vs a lecture can have one.

The only contract of the members of each circle is to abide by the CNCF Code of
Conduct, be kind, open as you'd like, and committed to hearing others out.
Everyone will have a chance to participate in whatever activity is set forth in
that meeting.

{{% /blocks/section %}}

</div>
<div class="section-group">

{{% blocks/section color="secondary" %}}

## Goals

- Collaborate on strategic issues; tackling size:L OSS challenges together
- Listen (to build better programs, relationships, and sustainability efforts)
- Share best practices
- Participate in peer coaching and seek guidance
- Highlight successes

{{% /blocks/section %}}

</div>
<div class="section-group">

{{% blocks/section color="white" %}}
## Who is a maintainer?

<div class="text-left">
There are a lot of meanings within the community. A maintainer is anyone
recognized as a maintainer or in a core role of a CNCF project by that project's
standards and governance. You can maintain code, docs, policy and more, but you
are making decisions.

Relevant CNCF project examples:
- [containerd](https://github.com/containerd/project/blob/master/GOVERNANCE.md#maintainership)
lists maintainers and code reviewers as key role
- [Prometheus](https://github.com/prometheus/prometheus/blob/master/MAINTAINERS.md)
lists maintainers in a MAINTAINERS.md file
- [Kubernetes](https://github.com/kubernetes/community/blob/master/community-membership.md)
doesn't use the word maintainer but uses an OWNERs file method for ownership by
listing reviewers and approvers

We recognize the term does not apply across the board perfectly. Maintainers
is an umbrella succinct term that covers many of your roles and inclusivity.

Important note: CNCF has a pool of listed maintainers for each project that vote
on behalf of their project in TOC elections. Some projects have more maintainer
roles than this and the Circle welcomes all decision makers.
</div>

{{% /blocks/section %}}

</div>
<div class="section-group">

{{< blocks/section color="primary" >}}

{{% blocks/feature title="Meetings" icon="fas fa-video" %}}

<div class="text-left">
    Meetings are scheduled ad-hoc when we have a topic and speaker.
    Join the our <a href="https://lists.cncf.io/g/cncf-tag-contributor-strategy">mailing list</a> or our #maintainers-circle channel in the CNCF Slack to be notified of the next event.

</div>
{{% /blocks/feature %}}

{{% blocks/feature title="Slack" icon="fab fa-slack" %}}
[#maintainers-circle](https://cloud-native.slack.com/archives/C014YQ8CDCG) on [CNCF Slack](https://slack.cncf.io)
{{% /blocks/feature %}}

{{< /blocks/section >}}

</div>
<div class="section-group">

{{% blocks/section color="secondary" %}}

## Schedule

<div class="text-left">

December 17, 2020
Thursday, 10:30am PT / 06:30pm GMT [Your timezone here](https://time.is/compare/1030AM_17_Dec_2020_in_PT)

**Registration** is an emoji reaction to the invite on the announcement thread in
#maintainer-circle

**First half + breakouts:**
In 2017, Dorothy Howard spoke at SciPy on the research and effects of burnout on
FOSS maintainers. She follows up with us on what’s happened since conducting
new and ongoing qualitative research and interviews with maintainers on
burnout, mental health, and software sustainability sponsored by the Ford/Sloan
Foundations and the NSF. After a 20minute talk, Dorothy will seed the audience
questions about burnout as you break out into small breakout rooms with your
fellow maintainers in a 15minute session.

**Second half + breakouts:**
We'll have a fireside chat with Aaron Crickenberger, Emeritus Kubernetes
Steering Committee Member, co-chair of SIG-Testing, and subproject owner in
multiple SIGs, about his experiences with burnout. It's been a 5 year journey
with Kubernetes; we'll hear some of the realistic and honest ways Aaron tackles
time management and self care while steering huge ships. In this 15 minute
session, you can ask questions live to Aaron as a group, and then breakout
into final small groups of the session.

</div>
{{% /blocks/section %}}

</div>
<div class="section-group">

{{% blocks/section color="white" %}}
### General Circle Structure

<div class="text-left">

* :35 - meeting kicks off with a welcome, announcements, and how breakouts work
* :40-:00 - first speaker (academic, expert, other OSS maintainer)
* :00-:20 - first breakout session (max: 10 rooms, 20 people in each) with a round of short intros [name/project name] before discussion
* :25-:45 - second speaker (most likely a CNCF maintainer)
* :45-:05 - second breakout session
* :10-:15 - wrap up

To suggest future topics, file an issue in our repo. If you have something to
share with the group, reach out to us on slack directly
[#tag-contributor-strategy](https://cloud-native.slack.com/archives/CT6CWS1JN).

</div>
{{% /blocks/section %}}

</div>
