---
title: "Mentoring Working Group"
linkTitle: "Mentoring"
url: /about/mentoring
---

{{% blocks/lead color="primary" align="left" %}}

Want to help new contributors get started? We participate in and run several mentorship programs!

Read our [Charter](https://github.com/cncf/tag-contributor-strategy/blob/main/mentoring/README.md)

{{% /blocks/lead %}}

<div class="section-group">

{{% blocks/section color="dark" %}}

Mentoring Working Group is a group of people who focus on mentorship initiatives to encourage the adoption of cloud native computing. Our mission is to provide opportunities for new contributors to work on CNCF projects with experienced mentorship, which helps to promote growth and sustainability of projects. We also provide support and advice to CNCF projects around mentorship initiatives.

{{% /blocks/section %}}

</div>
<div class="section-group">

{{% blocks/section color="secondary" %}}

## Goals

<div class="text-left">

* Increase CNCF project participation in mentoring programs external to the Linux Foundation
* Increase the number of CNCF projects and mentee participation in the LFX Mentorship program
* Increase the quality of mentorship that CNCF projects provide across all mentorship initiatives
* Explore opportunities for CNCF participation in new mentorship initiatives.
* Diversity in participants, both mentees and mentors
* Increase both code and non-code projects
* Develop mentorship by providing a path for mentees to become mentors and providing education for mentors

</div>

{{% /blocks/section %}}

</div>
<div class="section-group">

{{% blocks/section color="white" %}}

## Mentoring Programs

<div class="text-left">
Mentoring WG manages the following mentorship initiatives:

* [LFX Mentorship (ex-CommunityBridge)](https://mentorship.lfx.linuxfoundation.org): mentoring initiative by the Linux Foundation - [details](https://github.com/cncf/mentoring/tree/main/programs/lfx-mentorship#readme)
* [Google Summer of Code](https://summerofcode.withgoogle.com/): mentoring program for the open source beginners - [details](https://github.com/cncf/mentoring/tree/main/programs/summerofcode#readme)
* [Google Season of Docs](https://developers.google.com/season-of-docs): mentoring initiative for the technical writers - [details](https://github.com/cncf/mentoring/tree/main/programs/seasonofdocs#readme)
* [Outreachy](https://www.outreachy.org): mentoring initiative for the communities traditionally underrepresented in tech - [details](https://github.com/cncf/mentoring/tree/main/programs/outreachy#readme)

</div>

{{% /blocks/section %}}
</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How your community can benefit

<div class="text-left">

Here are some benefits that the Mentoring working group can provide to communities:

* Do the necessary paper work and applications to mentoring programs on behalf of CNCF projects
* Provide mentors the best practices and resources for managing and interacting with mentees 
* Guidance and support for an efficient mentorship execution
* Promote your project's mentoring activities and help you find more mentees and thus more contributors

You may find links to resources in our [repository](https://github.com/cncf/tag-contributor-strategy/blob/main/mentoring/README.md).

</div>

{{% /blocks/section %}}
</div>

<div class="section-group">
{{< blocks/section color="primary" >}}

## How you can contribute

<div class="text-left">

We are happy to see that you are interested in helping with this working group. We would love to:

* see you as mentors in the mentoring programs we participate in and organize.
* get feedback about out guides and documentation.
* see your introduction email on our mailing list / message on our Slack channel.
* see you attend our meetings where you can contribute ideas and take responsibilities.

</div>

{{% /blocks/section %}}
</div>


<div class="section-group">

## Get involved

{{< blocks/section color="primary" >}}

{{% blocks/feature title="Meetings" icon="fas fa-video" %}}

<div>

View our [calendar](https://tockify.com/cncf.public.events/monthly?search=CNCF%20TAG%20Contributor%20Strategy%20Mentoring%20WG) to see when we meet next.

</div>
{{% /blocks/feature %}}

{{% blocks/feature icon="fas fa-envelope" title="Mailing List"
url="https://lists.cncf.io/g/tag-cs-mentoring-wg/" url_text="Sign Up"
%}}
Keep up-to-date on mentoring programs we manage.

{{% /blocks/feature %}}
{{< /blocks/section >}}

{{< blocks/section color="gray-300" >}}

{{% blocks/feature icon="fas fa-comments" title="Discuss" url="https://github.com/cncf/mentoring/discussions" url_text="Start a discussion"
%}}

Have a look at existing discussions or start a new one on our discussion board.

{{% /blocks/feature %}}

{{% blocks/feature title="Slack" icon="fab fa-slack" %}}
Reach out for any immediate matters at [#mentoring](https://cloud-native.slack.com/archives/CGPK98JNQ) on [CNCF Slack](https://slack.cncf.io)

{{% /blocks/feature %}}

{{< /blocks/section >}}

{{< blocks/section color="primary" >}}

{{% blocks/feature icon="fas fa-info" title="Find out more"
url="https://github.com/cncf/mentoring" url_text="More information"
%}}
More resources are available on our [GitHub repository](https://github.com/cncf/mentoring).
{{% /blocks/feature %}}

{{< /blocks/section >}}

</div>
