---
title: Contribute to the CNCF Ecosystem
linkTitle: "Contributors"
menu:
  main:
    weight: 20
---

Welcome! Are you interested in contributing to one of CNCF hosted projects? This repository should help you. It contains information and guidelines about contributions to CNCF projects.

CNCF offers multiple ways to start contributing to the CNCF ecosystem, including either foundation-wide and project-wide opportunities.

However, contributing to the CNCF ecosystem is not just about coding. There are many other ways to contribute to the CNCF ecosystem, including writing documentation, creating tutorials, bringing ideas to meetings, organizing meetups, and more.

## Open Source Beginners

Are you new to open source? If so, we recommend checking out our comprehensive guide, ["Start Contributing to Open Source"](getting-started.md). This guide is filled with helpful tips and tricks to help you get started with contributing to open source projects. You'll learn about communities and projects, how to find them, how to conform to community standards, and much more.

## Contribution Opportunities

### Mentorship Programs

The Cloud Native Computing Foundation participates in various mentoring programs, including:

* [LFX Mentorship (ex-CommunityBridge)](https://mentorship.lfx.linuxfoundation.org): mentoring initiative by the Linux Foundation - [details](https://github.com/cncf/mentoring/tree/main/programs/lfx-mentorship#readme)
* [Google Summer of Code](https://summerofcode.withgoogle.com/): mentoring program for the open source beginners - [details](https://github.com/cncf/mentoring/tree/main/programs/summerofcode#readme)
* [Google Season of Docs](https://developers.google.com/season-of-docs): mentoring initiative for the technical writers - [details](https://github.com/cncf/mentoring/tree/main/programs/seasonofdocs#readme)
* [Outreachy](https://www.outreachy.org): mentoring initiative for the communities traditionally underrepresented in tech - [details](https://github.com/cncf/mentoring/tree/main/programs/outreachy#readme)

If you are interested in participating in one of the programs, please check out the [CNCF mentoring repository](https://github.com/cncf/mentoring) for more details.

### Project Opportunities

The CNCF projects are always looking for new contributors. If you're interested in contributing to a CNCF project, check out the following:

- [CNCF Landscape](https://landscape.cncf.io/) - a map of all CNCF projects, along with their maturity level and their category
- [CLOTributor](https://clotributor.dev/) - a tool that helps you find beginner-friendly tasks in CNCF projects
- [Projects section below](#projects) lists all CNCF projects, with their primary language and brief information on contributing to them


### Technical Advisory Groups (TAGs)

CNCF Technical Advisory Groups (TAGs) are responsible for overseeing and coordinating the interests of end users and/or projects within a specific area of focus. These groups hold open meetings that are accessible to anyone without any obligations. You are welcome to participate in discussions or simply observe the group's activities. If you are interested in contributing to a TAG, you can find more information in their respective repositories.

Although TAGs are designed to focus on specific areas, you can begin contributing through working groups (WGs) that operate under the TAGs with even more narrow scopes. WGs are community-driven groups that encourage ongoing collaboration in specific areas of interest.

Learn more about [CNCF TAGs](https://github.com/cncf/toc/blob/main/tags/cncf-tags.md) and view a [list of the CNCF TAGs](https://github.com/cncf/toc/tree/main/tags).


### Community Groups

The Cloud Native Computing Foundation supports the worldwide community of the Cloud Native Community Groups (CNCGs). They are listed on [community.cncf.io](https://community.cncf.io/) website. CNCF is currently working on expanding the Cloud Native community worldwide, and we are happy to accept any new local communities to join our network.

Are you passionate about Cloud Native technologies and interested in starting a community group in your area? Look no further than the CNCF Meetups program! Check out the [CNCF Community Groups repository](https://github.com/cncf/communitygroups) for more information about the program, including best practices for running successful CNCF Community Groups.

### Ambassadors

[Cloud Native Ambassadors](https://www.cncf.io/people/ambassadors/) (CNAs) are individuals who are passionate about [Cloud Native Computing Foundation](https://www.cncf.io/) technology and projects, recognized for their expertise, and willing to help others learn about the framework and community.

Successful ambassadors are people such as bloggers, influencers, evangelists who are already engaged with a CNCF project in some way including contributing to forums, online groups, community events, etc.

Details on the Ambassadors program, as well as information on how to join CNCF as an Ambassador, are available at the [Cloud Native Ambassadors repository](https://github.com/cncf/ambassadors).

## Projects

The Cloud Native Computing Foundation projects are listed below with information on how to contribute.

## Graduated Projects

{{< projects level="graduated" >}}

## Incubating Projects

{{< projects level="incubating" >}}

## Sandbox Projects

{{< projects level="sandbox" >}}


## Non-code Projects

|                          Project Name                          |            Focus            |   Primary Language   |
| ------------------------------------------------------------ | ------------------------- | ------------------ |
|    [Cloud Native Glossary](projects/#cloud-native-glossary)        |           Definitions       |        Markdown      |     

