---
title: "Contributor Growth"
date: 2020-02-26
layout: single
description: >
  A framework to help open source projects develop workflows, processes, and habits that 
  incentivize users to become long-term, active, and engaged members of your community.
---

The goal of this framework is to help open source projects develop workflows, processes, and habits that incentivize users to become long-term, active, and engaged members of your community. 

The first version of this document summarizes the experience different project maintainers have gathered over the past years (chronologically ordered by interview):

- [**Paris Pittman**](https://github.com/parispittman) (Kubernetes maintainer, Apple)
- [**Carlisia Thompson**](https://github.com/carlisia) (Velero maintainer, VMware)
- [**Aaron Schlesinger**](https://github.com/arschles) (KEDA-HTTP maintainer, Microsoft)
- [**Stephen Augustus**](https://github.com/justaugustus) (Kubernetes maintainer, Cisco)
- [**Charles Pretzer**](https://github.com/cpretzer) (Linkerd maintainer, Buoyant)
- [**Phil Estes**](https://github.com/estesp) (containerd maintainer, AWS)

**NOTE:** We want this to be a living document where projects keep updating and adding new ideas as their experience grows. If you've learned something other projects can benefit from, please submit a PR with your advice. 

This framework has five independent sections, so feel free to jump into whichever section interests you most.

1. [Motivating users to contribute](motivation/)
2. [A successful PR workflow](pr-workflow/)
3. [Keeping contributors engaged after their first contribution](engagement/)
4. [Incentivizing contributors to move up the ladder](incentivizing-contributors/)
5. [Incentivizing non-code contributions](incentivizing-non-code/)
6. [Long-term contributors](long-term-contributors/)
