---
title: "Incentivizing contributors to move up the ladder"
linkTitle: "Incentivizing Contributors"
date: 2021-04-8
weight: 4
---

By developing a contributor ladder and describing roles, responsibilities, privileges, and the level of effort associated with each, contributors get a sense of what it means to be part of your community at various levels. Just like in their professional careers, understanding the different paths and what it takes to get there can be motivating.   

## Developing a Contributor Ladder
The first step is to develop a contributor ladder that is appealing and motivating. For the different possible roles, please refer to the [contributor ladder template](https://github.com/cncf/project-template/blob/main/CONTRIBUTOR_LADDER.md).  

Define the roles and be very descriptive so users and contributors truly understand what it takes. 

Each role in the contributor ladder should be like a job description: Define the roles that make sense for your project and how to move from one step of the ladder to the next. Make clear how contributors can progress and the additional privileges they'll get with each role (this can be a huge motivator).   

The ladder is basically a trust and responsibility doc. As you rise up, we give you more and more responsibility (aka we trust you more).  

## Using the Contributor Ladder
The contributor ladder should be easily accessible on your website. Just like the careers' page of a company website, it should be visible and easy to find.  

Engage with active contributors, discuss their contributor "careers," and suggest a next step. Some contributors may underestimate their contributions, or it may not even occur to them that they could take on more responsibilities. Truth is, it's flattering and yet again an opportunity to emphasize that their contributions are really appreciated. So don't wait for them to come to you.  

Here are some reasons, contributors may be motivated to take on more responsibility:  
  * An additional title they can add to their CV
  * Learn the in and outs of a project
  * Become a subject matter expert
  * Gain leadership skills 
  * Training and experience  

## Tangible Recognition 
For some contributors it's really about advancing their careers. Getting praise in Slack or at community meetings won't help them achieve that. So think about how you recognize them in a way that is traceable.  

You can build tooling that automates contributor recognition. For instance, consider a contributor page in your docs that links to your contributor's GitHub pages. The list could be ranked by most active.  

Some projects built automation so people are recognized in the PR as well.   
