---
title: "Recruiting Playbook"
date: 2020-12-02
draft: true
description: >
  How to recruit more contributors to your project.
---

## Recruiting Contributors
*Status: Draft; Missing Components*

## Summary 

Recruiting and retention go hand in hand. If you are thinking "how can we add 
more amazing contributors?" and "where do we find them?" the projects leadership
 needs to think about how you keep folks around, too. Once you open the gates to more contributors of any type, balancing maintainers time becomes the next challenge. This is why it's important to think of recruiting and retention initiatives together rather than separate. 

For the purpose of this document, we will dig into the How and Where to do 
outreach. This exercise depends on your audience, how they consume information, and their motivations to help an open source project.  

## Where
Always be recruiting. Think of ways to always promote your needs and areas of 
growth for the project anytime you have a chance. Be as specific as you can when
 you are communicating though. The more ambiguous it sounds, the less likely 
 someone is to check it out or take interest. Talk about roles (example: 
 reviewers in a certain area/subject, community managers, project managers, go 
 developers) and provide any kind of guides, role descriptions, [contributor 
 ladder] as you have. The more of these documents that you have available in 
 your project repository the easier it will be for you in explaining how your 
 project works to potential new contributors. 

General areas with specifics below:
- your repo via labels, issues calling out help wanted areas, project boards, 
and other organization
- a contributor site/area of the project site for contributors
- mailing list adverts and promotions (weekly help wanted?)
- in-person or virtual talks and workshops about the project
- section during community meeting 
- project twitter announcements 

[contributor ladder]: https://github.com/cncf/project-template/blob/main/CONTRIBUTOR_LADDER.md

## Specific Projects & Programs 

### Your README and project website  
What: Adding the links to how to contribute and what you are contributing to on 
your main README is the most effective way 
Links to good examples: TODO include containerd 'now recruiting'

### Contributor Documentation
Contributor Guide (for all contributors)  
[TODO include recommendations and links]  
Developer Guide (deep dive for developers)  
[TODO include recommendations and links]  


### Issue and PR Triage strategy 
This is the first thing new contributors will see after some kind of interest in
 your project.  
Good first issues  
Help Wanted  
Be kind.  
In triage and anywhere in your community. if folks are coming around to file   
issues and submit one-off PRs, being kind can help them want to do it again the 
next time they think about it. Saying please, thank you, and welcome never 
hurts. 

### New Contributor Workshops
[TODO add summary]
New Contributor Workshops are a live version of your contributing guide with the
intent of getting a contributor up and running with their first PR, environment
set up, or some other end goal that leads them to the path quickly. The project
can explain the norms, address culture and values with a discussion, and make 
relationships that wouldn't usually happen that fast (or at all). Recording
the content is a best practice; it can be shared, distributed, and linked at
any time. This can allievate burden from maintainers on training new 
contributors. 

#### At targeted events 
Benefit: form relationships with people in person to create lasting efforts; add
more TODO   
Where: KubeCon, Kubernetes Community Days, Cloud Native Events, Project-named 
events like Contributor Summits  
Best Practices and past examples: TODO Links

#### Online 
[TODO - expand]
Benefit: reach a wider, global audience; add more TODO
Activites:
* Governance overview
* Live PR walk through end to end
* Code walk through videos
* Links to talks in conferences
* Links to presentations/meetups
Best Practices and past examples: TODO links

## Contributor Playground
A contributor playground is a non-production repository where contributors can practice submitting pull requests, interacting with any project bots, and safely test out how to participate. This can be paired with a workshop or on its own for people to try. This gives new contributors the opportunity to get used to the CI
 and build systems and the ownership/governance model. This can reduce the frustration that contributors have contributing to a new project as well as 
 reduce the common questions about these areas to maintainers. 

[TODO add examples]

## AMAs / Office Hours / Meet the Maintainers
Different topics of live questions can help grow your community, mentor at 
scale, and provide technical assistance when people really want to talk to a 
human. No matter the topic, this can help recruit contributors, too, depending 
on how you position it. 
Example: technical office hours can bring new use cases and validating current 
ones - you can ask people to file issues, PRs, or come to additional meetings to
help out. 
Meet the maintainers
[TODO - add example links to documentation and sites, etc.]

## Build a community, outreach, contributor, or related team or hire a community manager
Create the intentional space for this work to always be occurring if your 
project has goals of becoming a contributor community (have many contributors). 
[TODO paris is working on this in a separate thread]

## Internships

Google Summer of Code  
Google Summer of Docs  
LFX Mentoring  
Outreachy  
CommunityBridge  


## Open Source Hackathons

Hacktoberfest  
[100 Days of Code](https://www.100daysofcode.com)


## [What else? PR yours in here]
