---
title: "Templates"
linkTitle: "Templates"
layout: single
date: 2020-11-07
weight: 10
description: >
  Jump start your CNCF project by using our templates
aliases:
- /maintainers/github/templates/
---

We have a [project template] repository that has templates for everything your project needs
to get started and eventually join the CNCF. 

## Getting Started

The templates are stored in the [project template] repo,
but we also have how-to guides here on the website that are a better place to
start if you haven't used a particular template before.

Please note that the security templates may be found in the
[Security TAG's project resources folder](https://github.com/cncf/tag-security/tree/main/project-resources).

### Customize Templates

Each template contains instructions to customize the contents for your project.
Most files use comments with TODO to call out where you need to make changes. We recommend
viewing the files in raw or text form so that you can see the comments. 

For example in markdown files, we use `<!-- TODO: ... -->` to provide additional
guidance or indicate where action is required but you won't see those comments
when you view the markdown file in GitHub unless you view the raw text.

## How-To Guides

* [HowTo: Make a Contributing Guide](contributing.md)
* [Using the Governance Templates](governance-intro.md)
  * [The Steering Committee Elections Template](governance-elections.md)
  * [The Maintainer Council Template](governance-maintainer.md)
  * [The Governance By Subprojects Template](governance-subprojects.md)
* [Maintainer List Template](maintainers.md)
* [HowTo: Make a Reviewing Guide](reviewing.md)
* [Issue Labels for New Contributors](issue-labels.md)

## Available Templates

* [CODE_OF_CONDUCT.md](https://github.com/cncf/project-template/blob/main/CODE_OF_CONDUCT.md)
* [CONTRIBUTING.md](https://github.com/cncf/project-template/blob/main/CONTRIBUTING.md)
* [LICENSE](https://github.com/cncf/project-template/blob/main/LICENSE)
* Governance
  * [CONTRIBUTOR_LADDER.md](https://github.com/cncf/project-template/blob/main/CONTRIBUTOR_LADDER.md)
  * [GOVERNANCE-elections.md](https://github.com/cncf/project-template/blob/main/GOVERNANCE-elections.md)
  * [GOVERNANCE-maintainer.md](https://github.com/cncf/project-template/blob/main/GOVERNANCE-maintainer.md)
  * [GOVERNANCE-subprojects.md](https://github.com/cncf/project-template/blob/main/GOVERNANCE-subprojects.md)
  * [MAINTAINERS.md](https://github.com/cncf/project-template/blob/main/MAINTAINERS.md)
* Security
  * [ISSUE_TEMPLATE.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/ISSUE_TEMPLATE.md)
  * [SECURITY.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/SECURITY.md)
  * [SECURITY_CONTACTS.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/SECURITY_CONTACTS.md)
  * [embargo-policy.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/embargo-policy.md)
  * [embargo.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/embargo.md)
  * [incident-response.md](https://github.com/cncf/tag-security/blob/main/project-resources/templates/incident-response.md)
* [README.md](https://github.com/cncf/project-template/blob/main/README-template.md)
* [REVIEWING.md](https://github.com/cncf/project-template/blob/main/REVIEWING.md)

[contrib-strat]: https://github.com/cncf/tag-contributor-strategy/blob/main/README.md
[project template]: https://github.com/cncf/project-template
