---
title: "The Maintainer's Toolkit: Must-know CNCF Resources for Project Owners"
linkTitle: "The Maintainer's Toolkit"
description: Learn what resources are available to foster your community, grow your contributors and manage your project
date: "2021-05-19"
conference: KubeCon Europe
speakers:
  - name: Dawn Foster
    url: https://github.com/geekygirldawn
  - name: Catherine Paganini
    url: https://github.com/CathPag
youtubeID: 0Rj5Xofd-Rk
slides: https://static.sched.com/hosted_files/kccnceu2022/c9/TAG%20Contrib%20Strat%20Maintainer%20Track%202022%20EU.pdf
---

Whether you are trying to build an active, welcoming community, manage contributors' expectations, or motivate members to take on more responsibility, managing an open source project can feel overwhelming. During this talk, TAG Contributor Strategy leads will discuss CNCF resources available to project owners to help achieve exactly that. 

You'll learn what resources are available, where to find them, and how to get involved to develop new resources for your project and others. Developed for maintainers by maintainers, these resources help projects implement battle-tested best practices from fellow project owners. They include templates for a contributing guide, contributor ladder, governance frameworks, security disclosures, and more. Plus general guidance to grow your contributor base.

There is no need to reinvent the wheel. Whatever challenge you are facing today, someone surely solved it before. Join this community to exchange ideas, learn from one another, and build a thriving ecosystem of successful open source projects.

### Resources
* [Blog Post of this Talk](https://www.cncf.io/blog/2022/03/10/the-maintainers-toolkit-must-know-resources-for-cncf-projects/)
* [Community CRM Runbook](/maintainers/community/crm-runbook/)
* [Measuring Project Health](/maintainers/community/project-health/)
* [Contributor Growth Framework](/maintainers/community/contributor-growth-framework/)
* [Project Governance](/maintainers/governance/)
* [Project Templates](/maintainers/github/templates/)
* [Maintainer's Circle](/about/maintainers-circle/)
* [TAG Contributor Strategy](httsp://cncf.io/contributor-strategy)
