---
title: "Measuring the Health of Your CNCF Project: Going Beyond Stars and Forks"
linkTitle: "Measuring Project Health"
description: Learn which parts of your project are doing well and identify areas for improvement
date: "2021-10-29"
conference: KubeCon North America
speakers:
  - name: Dawn Foster
    url: https://github.com/geekygirldawn
youtubeID: iO14TVtIemk
slides: https://static.sched.com/hosted_files/kccncna2021/cc/Measuring_Health_CNCF_Project.pdf
---

You can brag about stars and forks, but these popularity measures don’t actually help you improve the health of your open source projects. A better approach is to look at some commonly used metrics as a starting point for learning about which parts of your project are doing well and identifying areas for improvement. The challenge is that there are many possible metrics, so the real value is in selecting the right metrics and interpreting them. Every CNCF project is a little different, and you’ll need to interpret your metrics in ways that make sense for your project.

This talk will cover:
* Finding data for some commonly used metrics, including responsiveness, contributor activity and risk, project velocity, inclusivity, and more
* Things to think about when interpreting these metrics for your project
* Best practices for measuring and improving project health

The audience will walk away with practical advice for measuring and improving the health of their CNCF projects.
