---
title: "Good Governance Practices for CNCF Projects"
linkTitle: "Good Governance Practices"
description: Practical advice to create neutral, fair governance structures and processes for open-source projects
date: "2022-06-01"
conference: KubeCon Europe
speakers:
  - name: Dawn Foster
    url: https://github.com/geekygirldawn
youtubeID: x0tgEpIER1M
slides: https://static.sched.com/hosted_files/kccnceu2022/7c/Good_Governance_CNCF_Projects.pdf
---

Too many maintainers think they don’t need governance ... until something goes wrong. Undefined or inadequate governance results in a lack of transparency that causes confusion over how decisions are made, unrealistic expectations, and unresolved disagreements. The CNCF helps projects adopt good governance practices with a focus on fair and transparent governance from sandbox to incubating to graduated.

This talk will cover:
* Why governance is important
* Selecting an appropriate governance model
* Templates with patterns that work well to bootstrap CNCF projects
* The role of mission, values, and scope in setting expectations
* Defining roles, responsibilities, processes, and procedures within your governance model
* Contributor ladders to help people move into leadership positions
* The governance pros and cons of contributing a project to the CNCF

The audience will get practical advice about creating fair and neutral governance structures and processes for open-source projects.
