---
title: "Keynote: Building a Sustainable CNCF Project Contributor Base"
linkTitle: "Keynote: Building a Sustainable CNCF Project Contributor Base"
description: Dawn Foster makes a case for the importance of building a sustainable contributor base on the keynote stage at KubeCon Amsterdam, 2023.
date: "2023-04-17"
conference: KubeCon Europe
speakers:
  - name: Dawn Foster
    url: https://github.com/geekygirldawn
youtubeID: rOsrfxjhev0
image: /images/video-thumbnails/keynote-building-a-sustainable-cncf-project-contributor-base.png
featured: true
featuredDescription: |
  Dawn Foster, TAG Contributor Strategy co-chair, makes a case for the importance of building a sustainable contributor base on the keynote stage at KubeCon Amsterdam, 2023.
---

Maintaining an open source project is hard work that often extends out over several years, and maintainer burnout is common within open source projects. It can be hard for already overworked maintainers to balance the day to day work required to keep the project running while also investing in additional activity to increase future sustainability. The good news is that the CNCF has best practices, resources, guides, and templates available to make it easier for you to build a contributor strategy that leads to becoming a sustainable CNCF project over the long term. This talk will help you apply those resources in your project. This talk will include:

* Major factors that impact project sustainability.
* Developing and executing on a sustainable contributor growth strategy, including governance, new contributor onboarding, and mentoring.
* Using contributor ladders to promote contributors into leadership positions as more maintainers to share the workload can reduce maintainer burnout over time.

The audience will walk away with a better understanding of how to grow their contributor base and build a sustainable community around their CNCF project.
